#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityDoubleElevenLotteryExData
{
	//ID
	int mID;
	//权重
	int mWeight;
	//额外奖励道具ID
	int mItemId;
	//道具数量
	int mItemCount;
};

class M_ActivityDoubleElevenLotteryEx
{
public:
private:
	static std::auto_ptr<M_ActivityDoubleElevenLotteryEx> msSingleton;
public:
	int GetCount();
	const M_ActivityDoubleElevenLotteryExData* GetData(int ID);
	boost::unordered_map<int, M_ActivityDoubleElevenLotteryExData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityDoubleElevenLotteryEx* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityDoubleElevenLotteryExData> mMapData;
};
